DC_DEVICE_OPEN(3)

NAME
dc_device_open - open a dive computer device

LIBRARY
libdivecomputer

SYNOPSIS
#include <libdivecomputer/device.h>
dc_status_t
dc_device_open(dc_device_t **device, dc_context_t *context, dc_descriptor_t *descriptor, const char *name);

DESCRIPTION
Open a dive computer device for processing. Accepts a context opened with dc_context_new(3), a dive computer descriptor usually found by searching through dc_descriptor_iterator(3), and a platform-specific device name ( such as /dev/ttyUSBx on Linux, /dev/tty.xxx on Mac OS X, /dev/ttyUx on the BSDs, or COMx on Microsoft Windows).

Upon returning DC_STATUS_SUCCESS, the device pointer must be freed with dc_device_close(3).

RETURN VALUES
Returns DC_STATUS_SUCCESS on success or one of several error values on error. On success, the device pointer is filled in with an open handle.

SEE ALSO
dc_context_new(3), dc_descriptor_iterator(3), dc_device_close(3)

AUTHORS
The libdivecomputer library was written by Jef Driesen, jef@libdivecomputer.org. The manpages were written by Kristaps Dzonsons, kristaps@bsd.lv.